AFSD(8)

NAME
afsd - AFS cache manager

SYNOPSIS
afsd [ -c string --conffile=string] [ -l string --log=string] [--debug=string] [ -d string --device=string] [--connected-mode=string] [-n - --no-fork] [ -r string --rxkad-level=string] [ -s string --sysname=string] [--root-volume=string] [--port=number] [-z - --recover] [--cache-dir=string] [-D - --dynroot] [--cpu-usage] [--version] [--help] [device]

DESCRIPTION
afsd runs on AFS client machines. It is used to manage the file cache, fetch files from AFS servers, handle callbacks and manage the authentication information for users.

In normal cases afsd will be started by enabling it in /etc/rc.conf.

The options are as follows:

    -c string, --conffile=string Path to configuration file.

    -l string, --log=string Where to write log [stderr|syslog|path] (default: stderr).

    --debug=string What to write in the log (default: none).

    -d string, --device=string The XFS device to use (default: /dev/nnpfs0).

    --connected-mode=string Initial connected mode [conncted|fetch-only|disconnected].

    -n, --no-fork Don't fork and daemonize.

    -r string, --rxkad-level=string The rxkad level to use [clear|auth|crypt] (default: crypt).

    -s string, --sysname=string Set the sysname of this system.

    --root-volume=string Name of the root volume.

    --port=number Port number to use.

    -z, --recover Don't recover state.

    --cache-dir=string Cache directory (default: /var/spool/afs).

    -D, --dynroot Use dynamic root.

    --cpu-usage System and userland cpu-usage times is appended at the end line that is logged.

    --version Print version information.

    --help Print usage information.

It is highly recommended that the cache filesystem size is increased to at least few hundred megabytes, and that it is made as a separate filesystem. The cache size is configured in afsd.conf(5). If enough memory is available the cache filesystem could be a mfs(8) to improve performance.

FILES
/etc/afs/afsd.conf
    default configuration for afsd
/etc/afs/CellServDB
    database with all known AFS servers
/etc/afs/ThisCell
    default cell (where we get the root directory)
/var/spool/afs
    default cache directory

SEE ALSO
fs(1), pts(1), afsd.conf(5), AliasDB(5), CellServDB(5), DynRootDB(5), SuidCells(5), ThisCell(5), mount_mfs(8), mount_nnpfs(8), rc.conf(8), vos(8)

BUGS
If afsd happens to crash, it's recommended to restart it with the -z flag. Otherwise a corrupted cache can be reused.